% This module contains the types and other declarations needed in the simple 
% knowledge representation examples in this directory. It provides the
% needed `glue' between the reasoning module and the various databases.

module		kltypes.

infix 50  & xfy.
infix 60 ==> xfy.

kind	i	type.
kind	bool	type.

% First the types of the constants that encode the connectives
type	==>	bool -> bool -> bool.
type	&	bool ->	bool -> bool.
type	all	(i -> bool) -> bool.
type	some	(i -> bool) -> bool.
type	iota	(i -> bool) -> i.

type prim_concept (i -> bool) -> o.
type prim_role    (i -> i -> bool) -> o.
type prim_subsume (i -> bool) -> (i -> bool) -> o.

type	fact	bool -> o.

type select (A -> bool) -> (list A) -> A -> o.

