%  A knowledge base encoding some simple information about the world.

module		simple_world.

import	kltypes.

% These can be inferred, but provide handy documentation
type	man	i -> bool.
type	woman	i -> bool.
type	likes	i -> i -> bool.
type	loves	i -> i -> bool.
type	john	i.
type	mary	i.

% some primitive roles
prim_role loves.
prim_role likes.

% some primitive concepts
prim_concept man.
prim_concept woman.

% Some simple facts
fact (man john).
fact (woman mary).

