% File: Buildlp.pl

% (c) 1987 by Dale Miller and Gopalan Nadathur

% Quintus Prolog 2.0 adaptation from that by Fernando Pereira 

% These directives are only for versions 2.0 and beyond
  :- module(lp, [lp/0, fp/0]).     
  :- use_module(library(files)). 
  :- use_module(library(ctypes)). 
  
  :- no_style_check(single_var).
  :- no_style_check(discontiguous).
  
% The files needed to build version 2.7 of lambda Prolog
  
  :- compile(parameters).
  :- compile(library).
  :- compile(modules).
  :- compile(display).
  :- compile(unify).
  :- compile(terms).
  :- compile(errors).
  :- compile(scanner).
  :- compile(parser).
  :- compile(int).
  :- compile(specials).
  :- compile(describe).
  :- compile(constraints).
  :- compile(fp).
  :- compile(eval).
  :- compile(sign).
  

