% Some simple operations on lists.

module	lists.

id [] [].
id [X|L] [X|K] :- id L K.

memb X [X|L].
memb X [Y|L] :- memb X L.

member X [X|L] :- !.
member X [Y|L] :- member X L.

append [] K K.
append [X|L] K [X|M] :- append L K M.

join [] K K.
join [X|L] K M :- memb X K, !, join L K M.
join [X|L] K [X|M] :- join L K M.

assoc X Y [(pair X Y)|L].
assoc X Y [P|L] :- assoc X Y L.

domain [] [].
domain [(pair X Y)|Alist] [X|L] :- domain Alist L.

range [] [].
range [(pair X Y)|Alist] [Y|L] :- range Alist L.

